<?php

// checkCCapikey handler function...
add_action('wp_ajax_cUs_CtCt_checkMCapikey', 'cUs_CtCt_checkMCapikey_callback');
function cUs_CtCt_checkMCapikey_callback() {
    
    $api_key    =   trim($_REQUEST[apikey]);
    $username   =   trim($_REQUEST[UserName]);
    $password   =   trim($_REQUEST[Pass]);
    
    //apis instances
    $cUs_CtCt_API = new cUs_CtCt_List($username,$password,$api_key); 
    $userData = $cUs_CtCt_API->testCredentials();
    if(empty($userData)):
        
            echo 2; //INVALID APIKEY
        
            //return array("errors"=>array("No Constant Contact lists were returned for the credentials you provided.  Please try again."));
    else:
        echo 1; //VALID APIKEY
    
        $cUs_CtCt_userData = array(
            'fname' => trim($_REQUEST[Fname]),
            'lname' => trim($_REQUEST[LName]),
            'email' => trim($username),
            'username' => trim($username),
            'password' => trim($password),
            'CtCt_apikey' => $api_key
        );
        
        $cUs_CtCt_lists = $cUs_CtCt_API->getLists();
        
        //print_r($cUs_CtCt_lists);
        
        update_option('cUs_CtCt_settings_CC_lists', $cUs_CtCt_lists);
        update_option('cUs_CtCt_settings_userData', $cUs_CtCt_userData);
        update_option('cUs_CtCt_settings_api_key', $api_key);
    endif;
    
    die();
}

// getMCList handler function...
add_action('wp_ajax_cUs_CtCt_getLists', 'cUs_CtCt_getLists_callback');
function cUs_CtCt_getLists_callback() {
    
    $cUs_CtCt_lists = get_option('cUs_CtCt_settings_CC_lists'); //get the saved  user LIST MATRIX
    $userData = get_option('cUs_CtCt_settings_userData'); //get the saved user data

    if($userData):

        if ( is_array($cUs_CtCt_lists) && !empty($cUs_CtCt_lists) ) : $i=1;
            foreach($cUs_CtCt_lists as $key => $list){?>
                <input value="<?php echo getListIdByURL($list["id"]);?>" type="checkbox" name="ctct_lists" id="ctct_list_<?php echo $i;?>" <?php echo($i==1)?"checked":""?> /> <label for="ctct_list_<?php echo $i;?>">[ <?php echo getListIdByURL($list["id"]);?> ] - <?php echo $list['title'];?></label><br/><?php $i++;
            }
        else:
            echo 1; //empty matrix list
        endif;

    else:    
        echo 2; // no user data
    endif;
    
    die();
}
function getListIdByURL($URL){
    if(strlen($URL)):
        $aryListID = explode('/', $URL);
        return $aryListID[7];
    else:
        return FALSE;
    endif;
}

// sendClientList handler function...
add_action('wp_ajax_cUs_CtCt_sendClientList', 'cUs_CtCt_sendClientList_callback');
function cUs_CtCt_sendClientList_callback() {
    
    $cUs_CtCt_userData = get_option('cUs_CtCt_settings_userData'); //get the saved user data
   
    $aryListsID = $_REQUEST[listID];
    $aryListID = array();
    foreach ($aryListsID as $listID){ $aryListID[] = $listID[value]; }
    $listids = implode(',', $aryListID);
    
    $postData = array(
        'fname' => $cUs_CtCt_userData[fname],
        'lname' => $cUs_CtCt_userData[lname],
        'email' => $cUs_CtCt_userData[email],
        'username' => $cUs_CtCt_userData[username],
        'password' => $cUs_CtCt_userData[password],
        'CtCt_apikey' => $cUs_CtCt_userData[CtCt_apikey],
        'website' => $_SERVER['HTTP_HOST'],
        'listID' => $listids
    );
    
    update_option('cUs_CtCt_settings_userData', $postData);
    update_option('cUs_CtCt_settings_list_ID', $listids);

    $cUs_CtCt_API = new cUsComAPI_CtCt();
    $cUs_CtCt_API_result = $cUs_CtCt_API->createCustomer($postData);

    if($cUs_CtCt_API_result) :

        $cUs_json = json_decode($cUs_CtCt_API_result);

        switch ( $cUs_json->status  ) :

            case 'success':
                echo 1;//GREAT
                update_option('cUs_CtCt_settings_form_key', $cUs_json->form_key ); //finally get form key form contactus.com // SESSION IN
            break;

            case 'error':

                if($cUs_json->error[0] == 'Email exists'):
                    echo 2;//ALREDY CUS USER
                else:
                    //ANY ERROR
                    echo $cUs_json->error;
                endif;
            break;

        endswitch;
     else:
         //echo 3;//API ERROR
         echo $cUs_json->error;
     endif;
    
    die();
}

// loginAlreadyUser handler function...
add_action('wp_ajax_cUs_CtCt_loginAlreadyUser', 'cUs_CtCt_loginAlreadyUser_callback');
function cUs_CtCt_loginAlreadyUser_callback() {
    $cUs_CtCt_API = new cUsComAPI_CtCt();
    $cUs_email = $_REQUEST['email'];
    $cUs_pass = $_REQUEST['pass'];
    
    $cUs_CtCt_API_result = $cUs_CtCt_API->getFormKeyAPI($cUs_email, $cUs_pass); //api hook;
    
    if($cUs_CtCt_API_result){
        $cUs_json = json_decode($cUs_CtCt_API_result);

        switch ( $cUs_json->status  ) :
            case 'success':
                update_option('cUs_CtCt_settings_form_key', $cUs_json->form_key);
                echo 1;
                break;

            case 'error':
                echo $cUs_json->error;
                break;
        endswitch;
    }
    
    die();
}

// logoutUser handler function...
add_action('wp_ajax_cUs_CtCt_logoutUser', 'cUs_CtCt_logoutUser_callback');
function cUs_CtCt_logoutUser_callback() {
    
    $cUs_CtCt_API = new cUsComAPI_CtCt();
    $cUs_CtCt_API->resetData(true); //RESET DATA
    
    die();
}

// sendTemplateID handler function...
add_action('wp_ajax_cUs_CtCt_sendTemplateID', 'cUs_CtCt_sendTemplateID_callback');
function cUs_CtCt_sendTemplateID_callback() {
    echo 1; //none list
    
    die();
}

?>
